std::char_traits::find(3)

NAME
std::char_traits::find - std::char_traits::find

Synopsis
   static const char_type* find( const char_type* p, std::size_t count, (until C++17)
   const char_type& ch );
   static constexpr const char_type* find( const char_type* p, (since C++17)
   std::size_t count, const char_type& ch );
   Searches for character ch within the first count characters of the sequence pointed
   to by p.

Parameters
   p - pointer to a character string to search
   count - the number of characters to analyze
   ch - the character to search for

Return value
   A pointer to the first character in the range specified by [p, p + count) that
   compares equal to ch, or a null pointer if not found.

Exceptions
   Throws nothing.

Complexity
   Linear in count.